{% extends 'utilisateur.html' %}

{% load static widget_tweaks icon %}

{% load utilisateur_filter %}

{% block no_javascript_error %}
    {% include "no_javascript_error.html" %}
{% endblock %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/signup.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block footer_javascript %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.2.2/jquery.form.min.js"
            integrity="sha384-FzT3vTVGXqf7wRfy8k4BiyzvbNfeYjK+frTVqZeNDFl8woCbF0CYG6g2fMEFFo/i"
            crossorigin="anonymous"></script>
    <script type="application/javascript">
        let groupHTMLName = "{{ form.groups.html_name }}";
    </script>
    <script src="{% static 'utilisateur/js/signup.js' %}?v=4"></script>
{% endblock %}

{% block title %}
    Inscription
{% endblock %}

{% block modal_cgu %}
{% endblock %}

{% block content %}

    <header>
        <h1>Inscription</h1>
    </header>

    <div class="container-fluid">

        <form role="form" class="form form-horizontal" method="post" action="{% url 'inscription' %}"
              enctype="multipart/form-data"
              accept-charset="UTF-8" id="formInscription" name="registration">
            {% csrf_token %}

            {% include 'accept_cgu.html' %}

            <div id="errors" style="display: none"></div>
            <div class="row">
                <div class="col-lg-6">
                    <div class="card">
                        <h5 class="card-header">
                            Informations personnelles
                        </h5>
                        <div class="card-body">
                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-user"></i></span>
                                    </div>
                                    {% render_field form.first_name class="form-control" placeholder="Prénom*" title="Rentrez votre prénom" %}
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-user"></i></span>
                                    </div>
                                    {% render_field form.last_name class="form-control" placeholder="Nom*" title="Rentrez votre nom" %}
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-birthday-cake"></i></span>
                                    </div>
                                    {% render_field form.anniversaire class="form-control" type="date" title="Rentrez votre anniversaire" %}
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-camera-retro"></i></span>
                                    </div>
                                    {% render_field form.photo class="form-control" title="Choisissez une photo de profil" %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="card">
                        <h5 class="card-header">
                            Informations de contact
                        </h5>
                        <div class="card-body">
                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                                    </div>
                                    {% render_field form.email class="form-control" placeholder="Adresse mail*" title="Rentrez une adresse mail valide" %}
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-mobile"></i></span>
                                    </div>
                                    {% render_field form.numeroDeTelephone class="form-control" type="tel" placeholder="Numéro de téléphone" title="Rentrez un numéro de téléphone sous le format +33..." %}
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-home"></i></span>
                                    </div>
                                    {% render_field form.adresse class="form-control" placeholder="Adresse" rows="3" title="Rentrez votre adresse (pour les documents administratifs)" %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-6">
                    <div class="card">
                        <h5 class="card-header">
                            Groupe
                        </h5>
                        <div class="card-body">
                            <div class="form-group">
                                A quel groupe d'utilisateur appartenez-vous ?*
                                {% for group in form.groups.field.queryset %}
                                    <div class="form-check" style="margin-top: 10px;">
                                        <input required class="form-check-input" type="radio"
                                               name="{{ form.groups.html_name }}"
                                               id="{{ form.groups.id_for_label }}{{ forloop.counter }}"
                                               value="{{ group.id }}"
                                               data-precisions="{{ group.description.demandePrecisions }}">
                                        <label class="form-check-label"
                                               for="{{ form.groups.id_for_label }}{{ forloop.counter }}">
                                            {{ group }}
                                        </label>
                                    </div>
                                    <span class="text-muted"
                                          style="font-size: .9em;">{{ group.description.description }}.</span>
                                    {% if group.cotisation %}
                                        <span class="text-muted"
                                                  style="font-size: .9em; font-weight: bold"><br/>Cotisation : {{ group.cotisation.cotisation }} €</span>
                                    {% endif %}
                                {% endfor %}
                            </div>

                            <div class="form-group" style="display: none" id="precisions">

                                <label for="inscription-precisions">
                                    Précisions supplémentaires :
                                </label>
                                <input type="text" name="precisions" id="inscription-precisions" class="form-control"
                                       placeholder="Optionnel"/>
                                <span class="text-muted" style="font-size: .9em;">Exemple : L'organisme/association auquel vous appartenez</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="card">
                        <h5 class="card-header">
                            Paramètres du compte
                        </h5>
                        <div class="card-body">
                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-user-plus"></i></span>
                                    </div>
                                    {% render_field form.username class="form-control" placeholder=form.username.label|is_required title=form.username.help_text|safe %}
                                </div>
                                <div class="text-muted" style="font-size: .9em;">Vous pouvez utiliser votre identifiant
                                    INSA.
                                </div>
                                <div class="text-muted" style="font-size: .9em;">Cet identifiant sera utilisé pour vous
                                    connecter.
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-key"></i></span>
                                    </div>
                                    {% render_field form.password1 class="form-control" placeholder=form.password1.label|is_required title="Votre mot de passe ne doit pas trop ressembler à vos autres informations personnelles, doit contenir au moins 8 caractères, ne doit pas être un mot de passe couramment utilisé et ne doit pas être entièrement numérique." %}
                                </div>

                            </div>

                            <div class="form-group">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fas fa-key"></i></span>
                                    </div>
                                    {% render_field form.password2 class="form-control" title=form.password2.help_text|safe placeholder=form.password2.label|is_required %}
                                </div>
                            </div>


                            <button id="submit" type="button" class="btn btn-primary btn-block" onclick="inscrire()">
                                Inscrivez-moi!
                            </button>
                            <input type="hidden" name="next" id="next" value="{{ next }}"/>
                        </div>
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>
        </form>
    </div>

{% endblock %}